DeluxHostAPI Reference
VPS management

Open the VNC console

POST
/v1/services/{serviceId}/virtfusion/vnc

Authorization

apiToken services:console
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:console

Path Parameters

serviceId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
enabled*boolean
available*boolean
host*string
port?number
ip?string
password*string
wssUrl*string
curl -X POST 'https://api.deluxhost.net/v1/services/0/virtfusion/vnc' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "enabled": true,  "available": true,  "host": "string",  "port": 0,  "ip": "string",  "password": "string",  "wssUrl": "string"}